@model FAA_UI.ViewModels.ReagentViewModel

<h4 style="font-family:'Garamond',sans-serif;margin:9px 9px 9px 9px;">Reagent</h4>
<div class="row" style="margin:0px;padding:0px;">
    @using (Html.BeginForm("Index", "Reagent", FormMethod.Post, new { @class = "form-horizontal", style = "width:100%;" }))
    {
        @if (Model.selectedBottleID > 0)
        {
            <!-- Tabs navs -->
            <ul class="nav nav-tabs" id="testTab">
                <li class="nav-item">
                    <a href="#tab_1" class="nav-link active" data-bs-toggle="tab">Reagent Bottle Details</a>
                </li>
                <li class="nav-item">
                    <a href="#tab_2" class="nav-link" data-bs-toggle="tab">Reagent Scan</a>
                </li>
            </ul>
            <div class="tab-content" style="height:800px;">
                <div class="column">
                    <div class="table-responsive">
                        <table id="tblReagentTray" class="styled-table" cellspacing="0" width="90%">
                            <thead>
                                <tr>
                                    <th style="display:none;">
                                        @Html.DisplayNameFor(model => Model.tblReagentPos.RbtlId)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => Model.tblReagentPos.TrayPos)
                                    </th>
                                    <th>
                                        @Html.DisplayNameFor(model => Model.tblReagentPos.TrayId)
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model.tblReagentPosList)
                                {
                                    <tr>
                                        <td style="display:none;">
                                            @Html.DisplayFor(modelItem => item.RbtlId)
                                        </td>
                                        <td>
                                            @Html.ActionLink(item.TrayPos.ToString(),"Index","Reagent",new { BottleID = item.RbtlId },new{style="color:blue;"})
                                        </td>
                                        <td>
                                            @Html.DisplayFor(modelItem => item.TrayId)
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
                <div style="width:68%;" class="column">
                    <div class="tab-pane fade show active" id="tab_1">
                        <div>
                            <div class="form-group" style="display:none;">
                                @Html.TextBoxFor(model => model.tblReagentPos.RbtlId)
                                @Html.TextBoxFor(model => model.tblReagentPos.TrayId)
                                @Html.TextBoxFor(model => model.tblReagentBottle.RbtlId)
                                @Html.TextBoxFor(model => model.tblReagentBottle.RlotId)
                                @Html.TextBoxFor(model => model.tblReagentLot.RlotId)
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblReagentPos.TrayPos)
                                    @Html.TextBoxFor(model => model.tblReagentPos.TrayPos,new{id="editTestCode"})
                                    @*@Html.HiddenFor(model => model.selectedTest.TestCode,new{id="editNewTestCode"}) *@
                                    @Html.ValidationMessageFor(model => model.tblReagentPos.TrayPos)
                                </div>
                                <div class="form-group col-md-3">
                                    @Html.LabelFor(model => model.tblReagentBottle.Barcode)
                                    @Html.TextBoxFor(model => model.tblReagentBottle.Barcode)
                                    @Html.ValidationMessageFor(model => model.tblReagentBottle.Barcode)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblReagentBottle.TestId)
                                    @Html.DropDownListFor(model => model.tblReagentBottle.TestId, new SelectList(ViewBag.TestList,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.tblReagentBottle.TestId)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblReagentBottle.BtlSize)
                                    @Html.DropDownListFor(model => model.tblReagentBottle.BtlSize, new SelectList(ViewBag.BottleSizeList,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.tblReagentBottle.BtlSize)
                                </div>
                            </div>
                            <div class="form-group row">
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblReagentBottle.BtlType)
                                    @Html.DropDownListFor(model => model.tblReagentBottle.BtlType, new SelectList(ViewBag.BottleTypeList,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.tblReagentBottle.BtlType)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblReagentBottle.RlotId)
                                    @Html.DropDownListFor(model => model.tblReagentBottle.RlotId, new SelectList(ViewBag.ReagentLotList,"Value","Text"))
                                    @Html.ValidationMessageFor(model => model.tblReagentBottle.RlotId)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblReagentBottle.IsExhausted)
                                    @Html.CheckBoxFor(model => model.tblReagentBottle.IsExhausted)
                                    @Html.ValidationMessageFor(model => model.tblReagentBottle.IsExhausted)
                                </div>
                                <div class="form-group col-md-2">
                                    @Html.LabelFor(model => model.tblReagentBottle.IsActive)
                                    @Html.CheckBoxFor(model => model.tblReagentBottle.IsActive)
                                    @Html.ValidationMessageFor(model => model.tblReagentBottle.IsActive)
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane fade" id="tab_2">
                </div>
                <div class="tab-pane fade" id="tab_3">
                </div>
            </div>
            <div style="margin:5px;float:right;">
                <button type="button" class="btn btn-link">Import Parameter</button>
                <button type="button" class="btn btn-link">Export Parameter</button>
                <button type="submit" class="btn btn-primary" id="btnSave">Save</button>
                <button type="button" class="btn btn-primary" id="btnCopy">Copy</button>
                <button type="button" class="btn btn-primary">Delete</button>
                <button type="button" class="btn btn-primary">Print</button>
            </div>
        }
    }
</div>
@section Scripts
    {
    <script type="text/javascript">
        $(document).ready(function () {

            /* $("#editTestCode").prop("disabled", true);
             $("#btnCopy").click(function () {
                 $("#editTestCode").prop("disabled", false);
                 $("#editTestCode").val("");
             });
             $("#btnSave").click(function () {
                 $("#editNewTestCode").val($("#editTestCode").val());
                 $("#editTestCode").prop("disabled", true);
             });*/
            $('#tblReagentTray').DataTable(
                {
                    paging: false,
                    ordering: false,
                    info: false,
                    searching: false,
                    scrollY: '75vh'
                });
        });
    </script>
}